Bug 368161 - Review Request: awn-extras-applets - extras applets of avant window navigator
Review Request: awn-extras-applets - extras applets of avant window navigator
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stewart Adam
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-06 07:18 EST by Peng Huang
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-17 13:25:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
s.adam: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peng Huang 2007-11-06 07:18:25 EST
Spec URL: http://groups.google.com/group/scim-python/web/awn-extras-applets.spec
SRPM URL: http://groups.google.com/group/scim-python/web/awn-extras-applets-0.2.1-1.fc8.src.rpm
Description: extras applets of avant window navigator.
Comment 1 Stewart Adam 2007-11-06 23:15:53 EST
+ source files match upstream: d19dd1693a1a99613393006f846246c8328f68c9
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
- license field matches the actual license.
** License is GPLv2 or any later version - Please change the license tag to GPLv2+
+ license is open source-compatible, license text included in package.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
- package builds in mock
** avant-window-navigator-python is not included in the Fedora repositories nor
is it under review.
- package installs properly
Apart from note above, it works very well
+ debuginfo package looks complete.
+ rpmlint is silent.
+ final provides and requires are sane
+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ code, not content.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
Comment 2 Stewart Adam 2007-11-06 23:36:22 EST
Scratch out the part about avant-window-navigator-python, it is currently in
updates-testing for F8.

All that remains to do is to update the license tag.
Comment 3 Peng Huang 2007-11-07 00:28:21 EST
I changed license tag and updated the spec and srpm files. Please recheck it.

Thanks
Comment 4 Stewart Adam 2007-11-07 01:01:42 EST
ACCEPTED
Comment 5 Peng Huang 2007-11-07 01:53:43 EST
New Package CVS Request
=======================
Package Name: awn-extras-applets
Short Description: Extras applets of avant window navigator
Owners: phuang
Branches: F-8
InitialCC:
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2007-11-07 15:07:45 EST
cvs done.
Comment 7 Jack Deslippe 2007-11-15 15:26:00 EST
I was about to add the same request for this package.  I see it is in
development repo now, will it be coming to F8?
Comment 8 Peng Huang 2007-11-15 19:07:21 EST
yeah. I have built it for F8 and requested for F8 repo. The request is pending now.
Comment 9 Stewart Adam 2007-11-17 13:25:24 EST
Now that it has been built, we can close this.

Note You need to log in before you can comment on or make changes to this bug.